# Visualization
TKService
WNT

# WNT_HColorTable Class Reference

`#include <WNT_HColorTable.hxx>`

## Public Member Functions

Standard_EXPORT | WNT_HColorTable (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | WNT_HColorTable (const Standard_Integer Low, const Standard_Integer Up, const WNT_ColorRef &V)
Standard_EXPORT void | Init (const WNT_ColorRef &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const WNT_ColorRef &Value)
const WNT_ColorRef & | Value (const Standard_Integer Index) const
WNT_ColorRef & | ChangeValue (const Standard_Integer Index)
const WNT_ColorTable & | Array1 () const
WNT_ColorTable & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

WNT_ColorTable | myArray

## Constructor & Destructor Documentation

Standard_EXPORT WNT_HColorTable::WNT_HColorTable | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT WNT_HColorTable::WNT_HColorTable | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const WNT_ColorRef & | V
| ) |

## Member Function Documentation

const WNT_ColorTable& WNT_HColorTable::Array1 | ( |  | ) | const

WNT_ColorTable& WNT_HColorTable::ChangeArray1 | ( |  | ) |

WNT_ColorRef& WNT_HColorTable::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const WNT_HColorTable::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void WNT_HColorTable::Init | ( | const WNT_ColorRef & | V | ) |

Standard_Integer WNT_HColorTable::Length | ( |  | ) | const

Standard_Integer WNT_HColorTable::Lower | ( |  | ) | const

void WNT_HColorTable::SetValue | ( | const Standard_Integer | Index,
|  | const WNT_ColorRef & | Value
| ) |

Standard_Integer WNT_HColorTable::Upper | ( |  | ) | const

const WNT_ColorRef& WNT_HColorTable::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

WNT_ColorTable WNT_HColorTable::myArray `[private]`

The documentation for this class was generated from the following file:

- WNT_HColorTable.hxx